;; -*- package: NotInROM -*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; +Packages.Lisp
;;
;; Copyright  1992 Northwestern University Institute for the Learning Sciences
;; All Rights Reserved
;;
;; author: Michael S. Engber
;;
;; Provides missing Package Routines
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(eval-when (:compile-toplevel :load-toplevel :execute)
  (require    :NotInROM-u)
  (in-package :NotInROM))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(deftrap-NotInROM _IUStringOrder :signed-integer ((aStr (:string 255))  (bStr (:string 255))
                                                  (aScript :ScriptCode) (bScript :ScriptCode)
                                                  (aLang :LangCode)     (bLang :LangCode))
  (#_IUTextOrder (%inc-ptr aStr)           (%inc-ptr bStr)
                 (%get-unsigned-byte aStr) (%get-unsigned-byte bStr)
                 aScript                   bScript
                 aLang                     bLang))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
